Name:           python-copyparty
Version:        1.16.10
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Portable file server with accelerated resumable uploads, deduplication, WebDAV, FTP, zeroconf, media indexer, video thumbnails, audio transcoding, and write-only folders

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://pypi.org/project/copyparty/
Source:         %{pypi_source copyparty}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'copyparty' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-copyparty
Summary:        %{summary}

%description -n python3-copyparty %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-copyparty audiotags,ftpd,ftps,pwhash,tftpd,thumbnails,thumbnails2,zeromq


%prep
%autosetup -p1 -n copyparty-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x audiotags,ftpd,ftps,pwhash,tftpd,thumbnails,thumbnails2,zeromq


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-copyparty -f %{pyproject_files}


%changelog
%autochangelog